> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vaultcord.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Webhooks

> List the REST API webhooks on your VaultCord account



## OpenAPI

````yaml get /developers/webhooks
openapi: 3.0.0
info:
  description: VaultCord public API for developers to access resources
  version: 1.0.0
  title: VaultCord Developers API
  x-logo:
    url: https://cdn.vaultcord.com/logo.png
    backgroundColor: '#FFFFFF'
    altText: VaultCord logo
    href: https://vaultcord.com
servers:
  - description: VaultCord Developers API endpoint
    url: https://api.vaultcord.com
security:
  - bearerAuth: []
tags:
  - name: Servers
    description: Servers endpoints
  - name: Bots
    description: Bot endpoints
  - name: Backups
    description: Backup endpoints
  - name: Members
    description: Member endpoints
  - name: Alerts
    description: Alert endpoints
  - name: Whites
    description: Whitelist endpoints
paths:
  /developers/webhooks:
    get:
      tags:
        - Webhook
        - API
        - Rest
        - Developer
      description: List the REST API webhooks on your VaultCord account
      operationId: listWebhooks
      responses:
        '200':
          $ref: '#/components/responses/webhooks'
        '401':
          $ref: '#/components/responses/401'
components:
  responses:
    '401':
      description: >-
        API key invalid, please generate a new one from
        dash.vaultcord.com/developers
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                example: false
              message:
                type: string
                example: 'New login required #2'
    webhooks:
      description: List of REST API webhooks
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                example: true
              data:
                type: array
                items:
                  $ref: '#/components/schemas/webhookObject'
  schemas:
    webhookObject:
      type: object
      properties:
        id:
          type: integer
          description: Random auto-increment ID
          example: 441
        accId:
          type: integer
          example: 25204
          description: VaultCord account ID.
        url:
          type: string
          example: https://webhook.site/db95dcd7-8b4b-42a9-9d3b-bcb81e7f91c4
          description: REST API endpoint URL for your website
        events:
          type: integer
          description: >-
            Bitwise flag number for types of webhook events you want to receive.
            (1 = Marketplace Orders, 2 = Member Verified, 4 = Member Pull
            Started, 8 = Marketplace Refunds, Donation Paid = 16, New Market
            Seller = 32)
          example: 6
        secret:
          type: string
          description: SHA-512 HMAC signature for verifying webhook
          example: >-
            978a62e45fcd4b599dbc411250e35b5382c31d2a7b6d422d8332cee2b5fcc98dd9ec7bd5cdae4ee098176e9f88684753e7eae1290bda43baacbe3fc0f4f26875
        created_at:
          type: string
          example: 1715282199
          description: The creation date of the webhook, in unix timestamp (seconds)
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````